summaryrefslogtreecommitdiffstats
path: root/remote
diff options
context:
space:
mode:
Diffstat (limited to 'remote')
-rwxr-xr-xremote/rootfs/rootfs-stage32/data/usr/sbin/mountexport8
1 files changed, 4 insertions, 4 deletions
diff --git a/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport b/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport
index a00d546d..2623dc26 100755
--- a/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport
+++ b/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport
@@ -3,15 +3,15 @@
export PATH=$PATH:/openslx/usr/sbin:/openslx/usr/bin:/openslx/sbin:/openslx/bin
if grep "Ubuntu" "/etc/issue" >/dev/null; then
- EXPORT="132.230.4.6:/srv/openslx/export/nfs/ubuntu-12.04-test"
+ EXPORT="132.230.8.113:/srv/ubuntu1304"
elif grep "SUSE" "/etc/issue" >/dev/null; then
- EXPORT="132.230.4.6:/srv/openslx/export/nfs/suse-12.1-default"
+ EXPORT="132.230.8.113:/srv/suse"
else
echo "Could not determine System"
exit 1
fi
echo "Mounting ${EXPORT} to /openslx/mnt"
-mount -t nfs -o ro,async,nolock "$EXPORT" /openslx/mnt
+mount -t nfs -o ro,async,nolock,vers=3 "$EXPORT" /openslx/mnt || { echo "Fail." && exit 1 }
echo "Appending /openslx/mnt to /"
-mount -o remount,append:/openslx/mnt=ro /
+mount -o remount,append:/openslx/mnt=ro / || { echo "Fail." && exit 1 }